Bug 1175763 - CVE-2014-8138 CVE-2014-8137 jasper: various flaws [epel-5]
Summary: CVE-2014-8138 CVE-2014-8137 jasper: various flaws [epel-5]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: jasper
Version: el5
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=dcafaro
Depends On:
Blocks: CVE-2014-8137 CVE-2014-8138
TreeView+ depends on / blocked
 
Reported: 2014-12-18 14:17 UTC by Tomas Hoger
Modified: 2015-05-11 00:52 UTC (History)
3 users (show)

Fixed In Version: jasper-1.900.1-15.el5
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-11 00:52:07 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2014-12-18 14:17:26 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

epel-5 tracking bug for jasper: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]

Comment 1 Tomas Hoger 2014-12-18 14:17:34 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1173162,1175763

# Description of your update
notes=Security fix for CVE-2014-8138

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1173162,1175763

Comment 2 Tomas Hoger 2014-12-18 14:18:28 UTC
Adding parent bug 1173157 (for CVE-2014-8137).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1175763,1173157,1173162

# Description of your update
notes=Security fix for CVE-2014-8138, CVE-2014-8137

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1175763,1173157,1173162

Comment 4 Tomas Hoger 2015-02-05 07:36:04 UTC
(In reply to David A. Cafaro from comment #3)
> Code change fix for CVE-2014-8137 is here:
> https://bugzilla.redhat.com/attachment.cgi?id=967284&action=diff

The actual security fix is:
https://bugzilla.redhat.com/attachment.cgi?id=967283&action=diff

The other attachment is a follow-up fix to make jasper emit an error rather than abort()ing and whole app with it.  Both changes are combined in the patch that is applied to Fedora packages:

http://pkgs.fedoraproject.org/cgit/jasper.git/tree/jasper-CVE-2014-8137.patch

Taking patches from Fedora branches should be the easiest way.

The other one:

http://pkgs.fedoraproject.org/cgit/jasper.git/tree/jasper-CVE-2014-8138.patch

Comment 5 David A. Cafaro 2015-02-05 14:09:07 UTC
Ah, thanks, I had cut and paste the wrong one.

And agree the fedora one is more clear (with both the fix and alert in the same patch).

Comment 6 David A. Cafaro 2015-04-16 13:47:41 UTC
We still need to get a package update for this.

Comment 7 Eric Christensen 2015-04-23 13:12:19 UTC
Can an update be pushed for this package?

Comment 8 Rex Dieter 2015-04-24 16:13:33 UTC
I can look to backport patches today.

Comment 9 Fedora Update System 2015-04-24 16:44:15 UTC
jasper-1.900.1-15.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/jasper-1.900.1-15.el5

Comment 10 Fedora Update System 2015-04-25 23:51:15 UTC
Package jasper-1.900.1-15.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing jasper-1.900.1-15.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-5975/jasper-1.900.1-15.el5
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-05-11 00:52:07 UTC
jasper-1.900.1-15.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.